task getBam {
	File bam
	File bam_idx
	String sample
	File pos
	String docker
	String cluster_config
	String disk_size
	
	command <<<
			/opt/conda/bin/samtools view ${bam} -H ${sep=" " pos} | /opt/conda/bin/samtools view -bS - | /opt/conda/bin/samtools sort > ${sample}.bam
			/opt/conda/bin/samtools index ${sample}.bam
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sub_bam = "${sample}.bam"
		File sub_bai = "${sample}.bam.bai"
	}
}

